package com.community.huiju.dao;


import com.community.huiju.model.TaSysRole;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface TaSysRoleMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(TaSysRole record);

    int insertSelective(TaSysRole record);

    TaSysRole selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(TaSysRole record);

    int updateByPrimaryKey(TaSysRole record);

    TaSysRole findRoleByUserId(Integer userId);

    /**
     * 根据用户ID查询所有角色
     * @param userId
     * @return
     */
    List<TaSysRole> selectRoleByUserId(Integer userId);
}